<?php

class Payment_tinkoff_admin
{
    public $config;

    public function __construct()
    {
        $this->config = array(
            "name" => 'Tinkoff',
            "params" => array(
                'tinkoff_terminal' => 'Tinkoff: терминал',
                'tinkoff_password' => 'Tinkoff: секретный ключ',
                'tinkoff_email_company' => 'Tinkoff: email компании',
                'check_data_tax' => array(
                    'type' => 'checkbox',
                    'name' => 'Передавать данные для формирования чека',
                    'help' => 'Да/Нет',
                ),
                'ffd_12' => array(
                    'type' => 'checkbox',
                    'name' => 'Чек в формате ФФД 1.2',
                    'help' => 'Да/Нет',
                ),
                'payment_method' => array(
                    'name' => 'Признак способа расчёта',
                    'type' => 'select',
                    'help' => 'Укажите систему признак способа расчёта при выборе "Передавать данные для формирования чека", иначе - не указывайте',
                    'select' => array(
                        'error' => '',
                        'full_prepayment ' => 'Предоплата 100%',
                        'prepayment ' => 'Предоплата',
                        'advance' => 'Аванс',
                        'full_payment' => 'Полный расчет',
                        'partial_payment' => 'Частичный расчет и кредит',
                        'credit' => 'Передача в кредит',
                        'credit_payment' => 'Оплата кредита',
                    ),
                ),
                'payment_object' => array(
                    'name' => 'Признак предмета расчёта',
                    'type' => 'select',
                    'help' => 'Укажите систему признак предмета расчёта при выборе "Передавать данные для формирования чека", иначе - не указывайте',
                    'select' => array(
                        'error' => '',
                        'commodity' => 'товар',
                        'excise' => 'подакцизный товар',
                        'job' => 'работа',
                        'service' => 'услуга',
                        'gambling_bet' => 'ставка азартной игры',
                        'gambling_prize' => 'выигрыш азартной игры',
                        'lottery' => 'лотерейный билет',
                        'lottery_prize' => 'выигрыш лотереи',
                        'intellectual_activity' => 'предоставление результатов интеллектуальной деятельности',
                        'payment ' => 'платеж',
                        'agent_commission ' => 'агентское вознаграждение',
                        'composite' => 'составной предмет расчета',
                        'another' => 'иной предмет расчета',
                    ),
                ),
                'taxation' => array(
                    'name' => 'Система налогообложения',
                    'type' => 'select',
                    'help' => 'Укажите систему налогообложения при выборе "Передавать данные для формирования чека", иначе - не указывайте',
                    'select' => array(
                        'error' => '',
                        'osn' => 'Общая СН',
                        'usn_income' => 'Упрощенная СН (доходы)',
                        'usn_income_outcome' => 'Упрощенная СН (доходы минус расходы)',
                        'envd' => 'Единый налог на вмененный доход',
                        'esn' => 'Единый сельскохозяйственный налог',
                        'patent' => 'Патентная СН',
                    ),
                ),
                'shipping_tax' => array(
                    'name' => 'Ставка налога для доставки',
                    'type' => 'select',
                    'help' => 'Ставка налога для доставки',
                    'select' => array(
                        'none' => 'без НДС',
                        'vat0' => 'НДС по ставке 0%',
                        'vat10' => 'НДС чека по ставке 10%',
                        'vat18' => 'НДС чека по ставке 18%',
                        'vat20' => 'НДС чека по ставке 20%',
                    ),
                ),
                'language' => array(
                    'name' => 'Язык платежной формы',
                    'type' => 'select',
                    'help' => 'Язык платежной формы',
                    'select' => array(
                        'ru' => 'Русский',
                        'en' => 'Английский',
                    ),
                ),
            )
        );
    }
}