<?php

require_once('payment.tinkoff.model.php');

$request = (array)json_decode(file_get_contents('php://input'));
if ($request['Success'] == 1 || $request['Success'] == 'true') {
    $request['Success'] = "true";
} else {
    $request['Success'] = "false";
}
$payment_model = new Payment_tinkoff_model($this->diafan);
$payment = $payment_model->getPaymentByElementId($request['OrderId']);
$canceled = DB::query_fetch_array("SELECT * FROM {shop_order_status} WHERE status='2' LIMIT 1");
$order = DB::query_fetch_array("SELECT * FROM {shop_order} WHERE id=%d LIMIT 1", $request['OrderId']);

switch ($_GET["rewrite"]) {
    case 'tinkoff/notification':
        if (!$payment) {
            die('PAYMENT NOT FOUND');
        }

        if ($payment_model->getToken($request, unserialize($payment['params'])['tinkoff_password']) != $request['Token']) {
            die('TOKEN INCORRECT');
        }

        if ((int)(round($payment_model->getPaymentByElementId($request['OrderId'])["summ"] *100)) !== (int)($request['Amount'])) {
            die('AMOUNTS DO NOT MATCH');
        }

        if ($request['Status'] == 'REFUNDED' || $request['Status'] == 'REJECTED') {
            $this->diafan->_shop->order_set_status($order, $canceled);
            die('OK');
        }

        if ($request['Status'] = 'CONFIRMED') {
            $this->diafan->_payment->success($payment, 'pay');
        }

        $payment_model->sendEmailToAdmin($payment["element_id"]);
        die('OK');

        break;

    case 'tinkoff/success':
        if (!$payment) {
            Custom::inc('includes/404.php');
        }

        $this->diafan->_payment->success($payment, 'redirect');
        break;

    case 'tinkoff/failure':
        if (!$payment) {
            Custom::inc('includes/404.php');
        }

        $this->diafan->_payment->fail($payment);
        break;

    default:
        Custom::inc('includes/404.php');
        break;
}
